An entry containing a single firewall rule to allow SNMP access.
Sources for this description
Hirschmann MIB copies (LibreNMS/Observium Community)
OID reference
1.3.6.1.4.1.248.51.5.6.1
An entry containing a single firewall rule to allow SNMP access.
Identification
{1 3 6 1 4 1 248 51 5 6 1}
Properties come from available MIB definitions. Actual device support and access can differ. See source records below for original files and qualifications.
The displayed source records contain one distinct definition. Compare its source records.
hmSecSNMPFWRuleEntry OBJECT-TYPE
SYNTAX HmSecSNMPFWRuleEntry
ACCESS not-accessible
STATUS mandatory
DESCRIPTION
"An entry containing a single firewall rule to allow SNMP access."
INDEX { hmSecSNMPFWruleIndex }
::= { hmSecSNMPFWRuleTable 1 }
Meaning
Identical descriptions are grouped. Different wording and device-specific notes are retained.
An entry containing a single firewall rule to allow SNMP access.
Hirschmann MIB copies (LibreNMS/Observium Community)
Evidence
Matching descriptions are grouped; open a group to compare definitions and supporting files.
Status in source: mandatory.
Names: hmSecSNMPFWRuleEntry
{
"smi_kind": "OBJECT-TYPE",
"definition": [
"hmSecSNMPFWRuleEntry",
"OBJECT-TYPE",
"SYNTAX",
"HmSecSNMPFWRuleEntry",
"ACCESS",
"not-accessible",
"STATUS",
"mandatory",
"DESCRIPTION",
"\"An entry containing a single firewall rule to allow SNMP access.\"",
"INDEX",
"{",
"hmSecSNMPFWruleIndex",
"}",
"::=",
"{",
"hmSecSNMPFWRuleTable",
"1",
"}"
],
"syntax_tree": [
[
"row",
"HmSecSNMPFWRuleEntry"
],
null,
[
"MaxAccessPart",
"not-accessible"
],
[
"Status",
"mandatory"
],
[
"DESCRIPTION",
"An entry containing a single firewall rule to allow SNMP access."
],
null,
null,
[
"INDEX",
[
[
0,
"hmSecSNMPFWruleIndex"
]
]
],
null
]
}Vendor MIB copy from the Observium Community archive. Hirschmann support.
Module: HmSecurityGateway-MIB
See published definition above
{'RFC-1212': ['OBJECT-TYPE'], 'RFC-1215': ['TRAP-TYPE'], 'SNMPv2-TC': ['RowStatus', 'TruthValue', 'MacAddress'], 'RFC1155-SMI': ['enterprises'], 'RFC1213-MIB': ['DisplayString']}Related source files and packages:
Registration
| OID | Name | Direct children | Descendants | Description |
|---|---|---|---|---|
| 1.3.6.1.4.1.248.51.5.6.1.1 | hmSecSNMPFWruleIndex | 0 | 0 | |
| 1.3.6.1.4.1.248.51.5.6.1.2 | hmSecSNMPFWsourceIP | 0 | 0 | |
| 1.3.6.1.4.1.248.51.5.6.1.3 | hmSecSNMPFWinterface | 0 | 0 | |
| 1.3.6.1.4.1.248.51.5.6.1.4 | hmSecSNMPFWtarget | 0 | 0 | |
| 1.3.6.1.4.1.248.51.5.6.1.5 | hmSecSNMPFWlog | 0 | 0 | |
| 1.3.6.1.4.1.248.51.5.6.1.6 | hmSecSNMPFWRowStatus | 0 | 0 | |
| 1.3.6.1.4.1.248.51.5.6.1.7 | hmSecSNMPFWcomment | 0 | 0 |